> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.
# Report Message
> Report a specific message.
### Changelog
| Version | Description |
| ---------------- | ------------|
| 0.64.0 | Added |
## OpenAPI
````json POST /api/v1/chat.reportMessage
{
"openapi": "3.0.0",
"info": {
"version": "1.0.0",
"title": "Messaging"
},
"servers": [
{
"url": "https://apiexplorer.support.rocket.chat"
}
],
"tags": [
{
"name": "Chat"
},
{
"name": "Direct Messages"
},
{
"name": "Auto-Translate"
}
],
"paths": {
"/api/v1/chat.reportMessage": {
"post": {
"tags": [
"Chat"
],
"summary": "Report Message",
"description": "Report a specific message.\n\n### Changelog\n| Version | Description | \n| ---------------- | ------------|\n| 0.64.0 | Added |",
"operationId": "post-api-v1-chat.reportMessage",
"parameters": [
{
"$ref": "#/components/parameters/UserId"
},
{
"$ref": "#/components/parameters/Auth-Token"
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"messageId": {
"type": "string",
"description": "The message ID to report."
},
"description": {
"type": "string",
"description": "The description of report."
}
},
"required": [
"messageId",
"description"
]
},
"examples": {
"Example 1": {
"value": {
"messageId": "7aDSXtjMA3KPLxLjt",
"description": "test"
}
}
}
}
}
},
"responses": {
"200": {
"$ref": "#/components/responses/trueSuccess"
},
"401": {
"$ref": "#/components/responses/authorizationError"
},
"400": {
"description": "Bad Request",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"success": {
"type": "boolean"
},
"error": {
"type": "string"
},
"errorType": {
"type": "string"
}
}
},
"examples": {
"Example 1": {
"value": {
"success": false,
"error": "must have required property 'messageId' [invalid-params]",
"errorType": "invalid-params"
}
},
"Example 2": {
"value": {
"success": false,
"error": "must have required property 'description' [invalid-params]",
"errorType": "invalid-params"
}
}
}
}
}
}
}
}
}
},
"components": {
"parameters": {
"UserId": {
"name": "X-User-Id",
"in": "header",
"description": "The `userId` of the authenticated user.",
"required": true,
"schema": {
"type": "string"
},
"example": "rbAXPnMktTFbNpwtJ"
},
"Auth-Token": {
"name": "X-Auth-Token",
"in": "header",
"description": "The `authToken` of the authenticated user.",
"required": true,
"schema": {
"type": "string"
},
"example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f"
}
},
"responses": {
"trueSuccess": {
"description": "OK",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"success": {
"type": "boolean"
}
}
},
"examples": {
"Success": {
"value": {
"success": true
}
}
}
}
}
},
"authorizationError": {
"description": "Unauthorized",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"status": {
"type": "string"
},
"message": {
"type": "string"
}
}
},
"examples": {
"Authorization Error": {
"value": {
"status": "error",
"message": "You must be logged in to do this."
}
}
}
}
}
}
}
}
}
````